| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
FindByMassRange Class Reference

The function object must be derived from std::unary_function< IParticlePropertySvc::value_type ,bool > IParticlePropertySvc::value_type is a typedef that defines the internal service storage type that is returned when an iterator is dereferenced. More...

`#include <GaudiKernel/FindByMassRange.h>`

Inheritance diagram for FindByMassRange:
[legend]
Collaboration diagram for FindByMassRange:
[legend]

## Public Member Functions
| FindByMassRange (double low, double high)
| Constructor - sets the mass range in Gev. More...
bool | operator() (const ParticleProperty *pp) const
| This routine check to see if the mass of a particle lies within the given mass range and returns true if it does. More...

## Private Attributes
double | m_low
| Low and high mass range (GeV) More...
double | m_high

## Detailed Description

The function object must be derived from std::unary_function< IParticlePropertySvc::value_type ,bool > IParticlePropertySvc::value_type is a typedef that defines the internal service storage type that is returned when an iterator is dereferenced.

In this case it corresponds to pair< std::string, ParticleProperty* > as the ParticlePropertySvc stores all its data in a map. The string will be the map's key (usually the particle name) and the pointer is a pointer to the ParticleProperty object. The bool template argument states that operator() returns true or false.

The data is accessed in the following manner: const IParticlePropertySvc::value_type& pp_ref; std::string key = pp_ref.first; ParticleProperty* pp = pp_ref.second;

Author
  Ian Last

Definition at line 30 of file FindByMassRange.h.

## Constructor & Destructor Documentation

FindByMassRange::FindByMassRange | ( | double | low,
|  | double | high
| ) |  |
| inline

Constructor - sets the mass range in Gev.

Definition at line 35 of file FindByMassRange.h.

35 : m_low( low ), m_high( high ) { }
FindByMassRange::m_high
double m_high
Definition: FindByMassRange.h:48
FindByMassRange::m_low
double m_low
Low and high mass range (GeV)
Definition: FindByMassRange.h:47

## Member Function Documentation

bool FindByMassRange::operator() | ( | const ParticleProperty * | pp | ) | const
| inline

This routine check to see if the mass of a particle lies within the given mass range and returns true if it does.

Definition at line 40 of file FindByMassRange.h.

40 {
41 return pp && pp->mass() >= m_low && pp->mass() <= m_high;
42 }
FindByMassRange::m_high
double m_high
Definition: FindByMassRange.h:48
FindByMassRange::m_low
double m_low
Low and high mass range (GeV)
Definition: FindByMassRange.h:47
ParticleProperty::mass
double mass() const
Get the particle mass.
Definition: ParticleProperty.h:78

## Member Data Documentation

double FindByMassRange::m_high
| private

Definition at line 48 of file FindByMassRange.h.

double FindByMassRange::m_low
| private

Low and high mass range (GeV)

Definition at line 47 of file FindByMassRange.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/FindByMassRange.h